# List notification definitions

Queries notification definitions with the specified filters.

Endpoint: GET /notifications/notification-definitions
Version: 2026-10-16
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Query parameters:

  - `start` (integer)
    The first index of the query result.

  - `limit` (integer)
    The maximum number of results the query should return.

  - `profileId` (string)
    Id of the profile.

  - `eventCategory` (number)
    The event category code for a standard event, on which the notification definition is created.

For the list of supported standard event category codes, see <a href="https://docs.zuora.com?resourceId=platform-parent-and-event-category-code" target="_blank">Standard event category code for events and notifications</a>.

You cannot specify `eventCategory` and `eventTypeName` at the same time.

  - `eventTypeName` (string)
    The name of the Zuora custom event, custom event, or custom scheduled event on which the notification definition is created.

You cannot specify `eventCategory` and `eventTypeName` at the same time.

  - `emailTemplateId` (string)
    The ID of the email template.

## Header parameters:

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. 

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have [Zuora Multi-entity](https://docs.zuora.com?resourceId=platform-multi-entity-overview) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

  - `Zuora-Org-Ids` (string)
    Comma separated IDs. If you have <a href="https://docs.zuora.com/en/zuora-platform/organization-and-entity-management/multi-org/overview-of-multi-org" target="_blank">Zuora Multi-Org</a> enabled, 
you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `data` (array)

  - `data.active` (boolean)
    The status of the notification definition. The default value is `true`.

  - `data.associatedAccount` (string)
    The account on which the histories of this notification will be displayed. The associated account does not enforce where the merge fields come from.

  - `data.callout` (object)

  - `data.callout.active` (boolean)
    The status of the callout. The default value is `true`.

  - `data.callout.calloutAuth` (object)
    If `requiredAuth` is `true`, this object is required.

  - `data.callout.calloutAuth.domain` (string)
    The domain of the callout auth.

  - `data.callout.calloutAuth.password` (string)
    The field is required when `requiredAuth` is `true`.

  - `data.callout.calloutAuth.preemptive` (boolean)
    Set this field to `true` if you want to enable the preemptive authentication.

  - `data.callout.calloutAuth.username` (string)
    The field is required when `requiredAuth` is `true`.

  - `data.callout.calloutBaseurl` (string)
    The callout URL. It must start with 'https://'
    Example: https://***

  - `data.callout.calloutParams` (object)
    A key-value map of merge fields of this callout.

  - `data.callout.calloutRetry` (boolean)
    Specified whether to retry the callout when the callout fails. The default value is `true`.

  - `data.callout.description` (string)
    Description for the callout.

  - `data.callout.eventTypeName` (string)
    The name of the custom event type.

  - `data.callout.httpMethod` (string)
    The HTTP method of the callout.
    Enum: "POST", "GET", "PUT", "PATCH", "DELETE"

  - `data.callout.id` (string)
    The ID of the callout. If `calloutActive` is `true`, a callout is required. The eventTypeName of the callout MUST be the same as the eventTypeName.

  - `data.callout.name` (string)
    The name of the created callout.

  - `data.callout.oauth2ProviderId` (string)
    The ID of the OAuth 2.0 provider in your tenant that provides access tokens for the callout.

  - `data.callout.requiredAuth` (boolean)
    Indicates whether Basic authentication is enabled for the callout.

  - `data.callout.requiredOauth2` (boolean)
    Indicates whether OAuth 2.0 authentication is enabled for the callout.

  - `data.calloutActive` (boolean)
    The status of the callout action. The default value is `false`.

  - `data.calloutTemplateIds` (array)
    List of callout template IDs that the notification definition is associated with.

  - `data.communicationProfileId` (string)
    The ID of the communication profile that the notification definition is associated with.
If the notification definition is associated with multiple communication profiles, see `communicationProfileIds` for all associated communication profile IDs.

  - `data.communicationProfileIds` (array)
    List of communication profile IDs that the notification definition is associated with.

  - `data.createdBy` (string)
    The ID of the user who created the notification definition.

  - `data.createdOn` (string)
    The time when the notification definition was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00

  - `data.description` (string)
    Description of the notification definition

  - `data.emailActive` (boolean)
    The status of the email action. The default value is `false`.

  - `data.emailTemplateId` (string)
    The ID of the email template. In the request, there should be at least one email template or callout.

  - `data.eventCategory` (number)
    The event category code for a standard event, on which the notification definition is created.
This field is available only if the notification definition is based on a standard event.
For the list of supported standard event category codes, see Standard event category code for events and notifications.

  - `data.eventId` (string)
    The ID of the event that the notification definition is based on.

This field is available only if the notification definition is based on a standard event.

  - `data.eventTypeName` (string)
    The name of the event that the notification definition is based on.

This field is available only if the notification definition is based on a Zuora custom event, custom event, or custom scheduled event.

  - `data.eventTypeNamespace` (string)
    The namespace of the `eventTypeName` field. It indicates who created the event and which namespace the event is assigned to.
Supported values are as follows:
- `com.zuora.notification`: events that are created by Zuora. This value applies to Zuora custom events.
- `user.notification`: events that are created by tenant users. This value applies to custom events and custom scheduled events.

This field is available only if the notification definition is based on a Zuora custom event, custom event, or custom scheduled event.
    Enum: "user.notification", "com.zuora.notification"

  - `data.filterRule` (object)

  - `data.filterRule.condition` (string)
    The filter rule conditions, written in [JEXL](http://commons.apache.org/proper/commons-jexl/).
The rule might contain event context merge fields and data source merge fields. Data source merge fields must be from [the base object of the event or from the joined objects of the base object](https://docs.zuora.com?resourceId=platform-data-source-reference). Notifications with invalid merge fields will fail to evaluate, thus will not be invoked. For example, to trigger an event when an invoice is posted with the amount over 1000, you would define the following condition on the `Invoice` object:
`changeType == 'UPDATE' && Invoice.Status == 'Posted' && Invoice.Status_old != 'Posted' && Invoice.Amount > 1000.0`
There are conventions and keywords you need to be aware of. For example:
* `changeType` is a keyword to specify what kind of change happened to the object. Allowed values are `INSERT`, `UPDATE` or `DELETE`.
* `Invoice.Status` refers to field `Status` of the Zuora object `Invoice`.
* A variable with the `_old` suffix means it’s a previous value of the corresponding object field. The "_old" fields are only available on the base objects.
    Example: Account.Balance >= _VIP_BALANCE_AMOUNT && Account.Status == _ACCOUNT_STATUS

  - `data.filterRule.description` (string)
    The description of the filter rule.

  - `data.filterRule.eventTypeName` (string)
    The value is `null`.

  - `data.filterRule.id` (string)
    The ID of the filter rule. If not specified or null, the notification definition is always qualified to process events of "eventType".

  - `data.filterRule.parameters` (object)
    The parameters of the filter rule and their name must match those in the filter rule. And all parameters must be defined in the event type payload. The name of parameters can't be duplicate. The following reserved keywords should not be used as a parameter name: `AttachmentList`, `RecipientList`, `RecipientType`, `Exceptions`, `OCP_OBJECT_TYPE`, `OCP_OBJECT_ID`, `OCP_TRIGGER_BY`

  - `data.filterRuleParams` (object)
    The parameter values used to configure the filter rule.

  - `data.id` (string)
    The ID associated with this notification definition.

  - `data.name` (string)
    The name of the notification definition.

  - `data.updatedBy` (string)
    The ID of the user who updated the notification definition.

  - `data.updatedOn` (string)
    The time when the notification was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00

  - `next` (string)
    The URI to query the next page of data, e.g. '/notification-definitions?start=1&limit=10'. The start equals request's start+limit, and the limit equals the request's limit. If the current page is the last page, this value is null.
    Example: /notification-definitions?start=1&limit=10

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 404 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 405:

  - `405` (unknown)
    Method Not Allowed

## Response 405 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 405 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 415:

  - `415` (unknown)
    Unsupported Media Type

## Response 415 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 415 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 500 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 404 examples:

  - `response` (unknown)

## Response 405 examples:

  - `response` (unknown)

## Response 415 examples:

  - `response` (unknown)

## Response 500 examples:

  - `response` (unknown)

